--- title: "Check schema compatibility" slug: "datastream-postschemasversionslatest" updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/datastream-postschemasversionslatest" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Check schema compatibility Available in VPC Check whether the new schema is compatible with the existing schema. Note Schema compatibility checks are used to ensure compatibility with existing data during schema evolution. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/topics/{topicId}/schemas/validate/compatibility/latest | ### Request headers For information about the headers common to all Data Stream APIs, see [Data Stream request headers](/docs/en/datastream-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `topicId` | String | Required | Topic ID - See [Get topic list](/docs/en/datastream-gettopic). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `schemaType` | String | Required | Schema type - `AVRO` \| `JSON` \| `PROTOBUF` - `AVRO`: Apache Avro schema - `JSON`: JSON schema - `PROTOBUF`: Protocol Buffers schema | | `schema` | String | Required | Schema definition - Write in the format appropriate for the selected schema type. - Pass in JSON string format. | ### Request example The request example is as follows: ``` curl --location --request POST 'https://datastream.apigw.ntruss.com/api/v1/topics/mgNWA*****/schemas/validate/compatibility/latest' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "schemaType": "AVRO", "schema": "{\"type\":\"record\",\"name\":\"User\",\"fields\":[{\"name\":\"id\",\"type\":\"int\"},{\"name\":\"name\",\"type\":\"string\"},{\"name\":\"email\",\"type\":\"string\"},{\"name\":\"phone\",\"type\":[\"null\",\"string\"],\"default\":null}]}" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `is_compatible` | Boolean | - | Compatibility - `true`: Compatible - `false`: Not compatible | ### Response status codes For information about the HTTP status codes common to all Data Stream APIs, see [Data Stream response status codes](/docs/en/datastream-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: #### If compatible ``` { "is_compatible": true } ``` #### If not compatible ``` { "is_compatible": false } ```